MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024054Open CASCADE[OCCT] OCCT:WOKpublic2013-07-01 15:182014-01-13 11:33
Reporteribs 
Assigned Toibs 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024054: Move the dynamic part of main CMakeLists.txt to adm/cmake folder
DescriptionCMakeLists.txt allocated in OCCT root folder contains dynamic information that are generated by WOK.
There is a necessity moving dynamic part of this CMakeList.txt file to adm/cmake folder is generated by WOK; and afterall CMakeLists.txt file with only static information is pushed into OCCT git.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0024930)
ibs (developer)
2013-07-01 15:26

Please review the CR24054 branches of WOK and OCCT git
(0024993)
abv (manager)
2013-07-09 09:13

I have no remarks on my side, we need to test this (with relevant update in WOK).
(0025084)
apn (administrator)
2013-07-16 17:40

Branch CR25054 was successfully tested.
I compiled and launched tests on CR24054 which was generated with -target=vc8 and -target=vc10. There are no regressions according to master (vc8 and vc10).

24054-vc8:
\\SALOMER1\dn60\tests_results\results_CR24054_2013-07-09-vc8

24054-vc10:
\\SALOMER1\dn60\tests_results\results_CR24054_2013-07-09-vc10

master-vc8:
\\SALOMER1\dn60\tests_results\results_master_2013-07-10-vc8

master-vc10:
\\SALOMER1\dn60\tests_results\results_master_2013-07-10-vc10
(0025098)
bugmaster (administrator)
2013-07-17 14:12
edited on: 2013-07-17 14:13

Fix has been tested with cmake procedure and integrated into master of occt and occt-wok repository


- Related Changesets
occt: master 03c69aec
Timestamp: 2013-07-01 11:24:16
Author: ibs
Details ] Diff ]
0024054: Move the dynamic part of main CMakeLists.txt to adm/cmake folder
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-01 15:18 ibs New Issue
2013-07-01 15:18 ibs Assigned To => ibs
2013-07-01 15:26 ibs Note Added: 0024930
2013-07-01 15:26 ibs Assigned To ibs => abv
2013-07-01 15:26 ibs Status new => resolved
2013-07-09 09:13 abv Note Added: 0024993
2013-07-09 09:13 abv Assigned To abv => bugmaster
2013-07-09 09:13 abv Status resolved => reviewed
2013-07-09 12:05 apn Assigned To bugmaster => apn
2013-07-16 17:40 apn Note Added: 0025084
2013-07-16 17:42 apn Test case number => Not needed
2013-07-16 17:42 apn Assigned To apn => bugmaster
2013-07-16 17:42 apn Status reviewed => tested
2013-07-17 14:12 bugmaster Note Added: 0025098
2013-07-17 14:12 bugmaster Status tested => verified
2013-07-17 14:12 bugmaster Resolution open => fixed
2013-07-17 14:12 bugmaster Assigned To bugmaster => ibs
2013-07-17 14:13 bugmaster Note Edited: 0025098 View Revisions
2013-07-17 15:06 ibs Changeset attached => occt master 03c69aec
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0
2014-01-13 11:33 bugmaster Category OCCT Release:WOK => OCCT:WOK


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker